<div>
  <h2 id="page-heading" data-cy="PositionIrreguliereHeading">
    <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.home.title">PositionIrregulieres</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-position-irreguliere"
        [routerLink]="['/position-irreguliere/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.home.createLabel"> Créer un nouveau Position Irreguliere </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="positionIrregulieres?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.home.notFound">Aucun Position Irreguliere trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="positionIrregulieres && positionIrregulieres.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateDebut">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateDebut">Date Debut</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateFin">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.dateFin">Date Fin</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="naturePositionIrreguliere.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.naturePositionIrreguliere">Nature Position Irreguliere</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.positionIrreguliere.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let positionIrreguliere of positionIrregulieres; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/position-irreguliere', positionIrreguliere.id, 'view']">{{ positionIrreguliere.id }}</a>
          </td>
          <td>{{ positionIrreguliere.dateDebut | formatMediumDate }}</td>
          <td>{{ positionIrreguliere.dateFin | formatMediumDate }}</td>
          <td>
            <div *ngIf="positionIrreguliere.naturePositionIrreguliere">
              <a [routerLink]="['/nature-position-irreguliere', positionIrreguliere.naturePositionIrreguliere.id, 'view']">{{
                positionIrreguliere.naturePositionIrreguliere.id
              }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="positionIrreguliere.employe">
              <a [routerLink]="['/employe', positionIrreguliere.employe.id, 'view']">{{ positionIrreguliere.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/position-irreguliere', positionIrreguliere.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/position-irreguliere', positionIrreguliere.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(positionIrreguliere)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
